/* 
html5doctor.com Reset Stylesheet
v1.6.1
Last Updated: 2010-09-17
Author: Richard Clark - http://richclarkdesign.com 
Twitter: @rich_clark
*/

html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,
b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
    margin:0;
    padding:0;
    border:0;
    outline:0;
    font-size:100%;
    vertical-align:baseline;
    background:transparent;
}

body {
    line-height:1;
}

article,aside,details,figcaption,figure,
footer,header,hgroup,menu,nav,section { 
    display:block;
}

nav ul {
    list-style:none;
}

blockquote, q {
    quotes:none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content:'';
    content:none;
}

a {
    margin:0;
    padding:0;
    font-size:100%;
    vertical-align:baseline;
    background:transparent;
}

/* change colours to suit your needs */
ins {
    background-color:#ff9;
    color:#000;
    text-decoration:none;
}

/* change colours to suit your needs */
mark {
    background-color:#ff9;
    color:#000; 
    font-style:italic;
    font-weight:bold;
}

del {
    text-decoration: line-through;
}

abbr[title], dfn[title] {
    border-bottom:1px dotted;
    cursor:help;
}

table {
    border-collapse:collapse;
    border-spacing:0;
}

/* change border colour to suit your needs */
hr {
    display:block;
    height:1px;
    border:0;   
    border-top:1px solid #cccccc;
    margin:1em 0;
    padding:0;
}

input, select {
    vertical-align:middle;
}

a {
    text-decoration: none;
}














/*----------------------------- My Code ------------------------------------------*/
#nav-bar {
    height: 66px;
    display: flex;
    flex-direction: column;
}
.nav-header{
    display: flex;
    height: 100%;
    justify-content: space-between;
}
.nav-heading  {
    width: 20%;
    height: 24px;
    text-align: center;
    padding: 20px 0;
}
.nav-toggle{
    vertical-align: middle;
}

.nav-header h2,
.nav-toggle a{
    display: inline-block;
    width: 100%;
    height: 100%;
    line-height: 1.5em;
}

.nav-items {
    display: none;
}
.nav-cart,
.nav-toggle {
    width: 40px;
    padding: 20px;
}

/*------------------------------- Cart Items ---------------------------------------*/
#cart {
    height: 90vh;
    position: relative;
}
.cart-item {
    position: absolute;
    height: 72px;
    width: calc(100% - 120px);
    top: 76px;

}

.cart-item-img {
    display: inline-block;
    height: 72px;
    width: 72px;
}
.cart-heading{
    text-align: center;
}
#cart a {
    display: block;
    position: absolute;
    width: 100%;
    height: 10vh;
    top: 80vh;
}
.cart-total {
    display: block;
    padding: 20px;
    margin-top: 10px 5%;
    text-align: right;
    width: 90%;
    line-height: 1.5em;
    font-weight: 600;
    font-size:13px;
}
.checkout-btn {
    position: fixed;
    bottom: 0;
}
/*   */
.cart-item{
    display: inline-grid;
    grid-template-columns: repeat(6, 1fr);
    justify-items: center;
}
.cart-item-name {
    grid-column: 1/5;
    justify-self: left;
}
.cancel-img {
    grid-column: 6/7;
    grid-row: 1/2;
}
.quantity{
    grid-column: 4/5;
    grid-row: 2/3;
}
.cart-item-size {
    grid-column: 5/6;
    grid-row: 2/3;
}
.cart-cost {
    grid-column: 6/7;
    grid-row: 2/3;
}



















/*-------------------------------------- Media Queries 768px --------------------------------------------------*/
@media screen and (min-width: 768px){
    /* nav-bar */
    #nav-bar {
        height: 130px;
    }
    .nav-toggle a{
        display: none;
    }
    .nav-items {
        display: flex;
        width: auto;
        height: 100%;
        margin: 0 auto;
        justify-content: space-around;
    }

    .nav-items li {
        height: auto;
        padding: 10px;
        
    }
    .nav-items li a {
        display: none;
        padding: 10px;
    }
    .checkout-box{
        display: flex;
        padding: 0 0 0 50%;
        width: 50%;
        height: 50px;
        margin-top: 50px;
    }
    #cart {
        max-width: 900px;
        margin: 0 auto;
        padding: 0;
    }
    #cart a {
        display: inline-block;
        position: static;
        height: 24px;
        font-size: 16px;
        line-height: 24px;
        padding: 5px;
        margin: 13px 50px 13px auto;
        background: white;
        color: black;
        border: 2px solid black;
    }
    .cart-item{
        display: inline-grid;
        grid-template-columns: repeat(10, 1fr);
        width: calc(100%-72px);
        max-width:828px;
        justify-items: center;
    }
    .cart-item-name {
        grid-column: 1/4;
    }
    .quantity{
        grid-column: 4/6;
        grid-row: 1/2;
    }
    .cart-item-size {
        grid-column: 6/8;
        grid-row: 1/2;
    }
    .cart-cost {
        grid-column: 8/10;
        grid-row: 1/2;
    }
    .cancel-img{
        grid-column: 10/11;
        align-self: center;
    }
    .container {
        display: inline-flex;
        width: 50%;
        position: static;
    }
    .cart-item * {
        line-height: 72px;
    }
    
    .cart-total {
        text-align: center;
    }

}

@media screen and (max-width: 369px) {
    .container{
        display: flex;
        flex-direction: column;
    }
}


